%global     snapdate            20140107
%global     dustmite_revision   1f0a0cd
%global     alphatag            %{snapdate}git%{dustmite_revision}
%global     debug_package       %{nil}

# The source for this package was pulled from upstream's git.
# Use the following commands to generate the tarball:
# git clone https://github.com/CyberShadow/DustMite.git dustmite
# cd dustmite; git rev-parse --short HEAD            -> for DustMite_rev
# git checkout %%dustmite_rev
# git archive --prefix=dustmite-%%{alphatag}/ HEAD --format=tar | xz > ../dustmite-%%{alphatag}.tar.xz

Name:           dustmite
Version:        1
Release:        20.%{alphatag}%{?dist}
Summary:        Minimizes D source code for debugging

License:        Public Domain
URL:            https://github.com/CyberShadow/DustMite
Source0:        %{name}-%{alphatag}.tar.xz

# https://github.com/ldc-developers/ldc/issues/116
ExcludeArch:    %{arm}

BuildRequires:  ldc, ldc-phobos-devel, ldc-druntime-devel

%description
DustMite is a tool which minimizes D source code. It was inspired by Tigris
Delta and a thread on digitalmars.D.learn.
DustMite will parse the source code into a simple hierarchy, and attempt to
shrink it by deleting fragments iteratively, as long as the result satisfies
a user-specified condition.

%description -l fr
DustMite est un outil qui permet de minimiser le code source D. Il a été
inspiré par Tigris Delta et un fil sur digitalmars.D.learn.
DustMite va analyser le code source en une hiérarchie simple, et tenter
de réduire l'erreur de segmentation en supprimant itérativement des fragments,
tant que le résultat répond à une condition spécifiée par l'utilisateur.

%prep
%setup -q -n %{name}-%{alphatag}

%build
ldc2 %{_d_optflags} dustmite.d dsplit.d -of dustmite

%install
install -Dm 0755 dustmite %{buildroot}%{_bindir}/dustmite

%files
%doc README
%{_bindir}/dustmite

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1-20.20140107git1f0a0cd
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1-19.20140107git1f0a0cd
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 19 2014 jonathan MERCIER <bioinfornatics@gmail.com> - 1-18.20140107git1f0a0cd
- rebuild

* Sun Mar 09 2014 jonathan MERCIER <bioinfornatics@gmail.com> - 1-17.20140210gitf60abab
- Update to latest rev

* Wed Oct 30 2013 Jonathan MERCIER <bioinfornatics@gmail.com> - 1-16.20130922git9abec53
- rebuilt

* Thu Oct 24 2013 Jonathan MERCIER <bioinfornatics@gmail.com> - 1-15.20130922git9abec53
- Update to rev 9abec53

* Sun Aug 04 2013 "Jonathan Mercier" <"Jonathan Mercier at gmail dot org"> - 1-14.20130725git135b7d5
- Update to rev 135b7d5

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1-13.20130601git4b953aa
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 26 2013 Jonathan MERCIER <bioinfornatics at fedoraproject dot org> - 1-12.20130601git4b953aa
- fix spec

* Sun Jun 23 2013 Jonathan MERCIER <bioinfornatics at fedoraproject dot org> - 1-11.20130601git4b953aa4b953aa
- Update to rev 4b953aa

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1-10.20121031git1fb3ac4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Nov 26 2012 Jonathan MERCIER <bioinfornatics at gmail.com> - 1-9.20121031git1fb3ac4
- rebuild

* Wed Oct 31 2012 Tom Callaway <spot@fedoraproject.org> - 1-8.20121031git1fb3ac4
- update to latest git HEAD

* Sat Oct 20 2012 Peter Robinson <pbrobinson@fedoraproject.org>	1-7.20120903git174b45d
- Fix SOURCE

* Thu Oct 11 2012 Jonathan MERCIER <bioinfornatics at gmail.com> - 1-6.20120903git174b45d
- update dustmite

* Sun Jun 03 2012 Jonathan MERCIER <bioinfornatics at gmail.com> - 1-5.20120221gite2d91da
- build with new dmdfe 2.059

* Thu Mar 15 2012 Jonathan MERCIER <bioinfornatics at gmail.com> - 1-4.20120221gite2d91da
- change module order to build

* Mon Mar 12 2012 Jonathan MERCIER <bioinfornatics at gmail.com> - 1-3.20111218git84c0e08
- rebuild with ldc update

* Mon Mar 12 2012 Jonathan MERCIER <bioinfornatics at gmail.com> - 1-2.20111218git84c0e08
- rebuild with ldc update

* Tue Jan 24 2012 Jonathan MERCIER <bioinfornatics at gmail.com> - 1-1.20111218git84c0e08
- Initial release

